summaryrefslogtreecommitdiff
path: root/app-backup/bareos/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-03-20 00:40:44 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-03-20 00:40:44 +0000
commit4cbcc855382a06088e2f016f62cafdbcb7e40665 (patch)
tree356496503d52354aa6d9f2d36126302fed5f3a73 /app-backup/bareos/files
parentfcc5224904648a8e6eb528d7603154160a20022f (diff)
gentoo resync : 20.03.2022
Diffstat (limited to 'app-backup/bareos/files')
-rw-r--r--app-backup/bareos/files/bareos-dir-21.confd2
-rw-r--r--app-backup/bareos/files/bareos-dir-21.initd17
-rw-r--r--app-backup/bareos/files/bareos-fd-21.confd7
-rw-r--r--app-backup/bareos/files/bareos-fd-21.initd21
-rw-r--r--app-backup/bareos/files/bareos-sd-21.confd10
-rw-r--r--app-backup/bareos/files/bareos-sd-21.initd21
6 files changed, 64 insertions, 14 deletions
diff --git a/app-backup/bareos/files/bareos-dir-21.confd b/app-backup/bareos/files/bareos-dir-21.confd
index 3ad4b7482f93..4e2ee55d8924 100644
--- a/app-backup/bareos/files/bareos-dir-21.confd
+++ b/app-backup/bareos/files/bareos-dir-21.confd
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Config file for /etc/init.d/bareos-dir
diff --git a/app-backup/bareos/files/bareos-dir-21.initd b/app-backup/bareos/files/bareos-dir-21.initd
index 7100b615105c..916ee13b36ce 100644
--- a/app-backup/bareos/files/bareos-dir-21.initd
+++ b/app-backup/bareos/files/bareos-dir-21.initd
@@ -1,5 +1,5 @@
#!/sbin/openrc-run
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
depend() {
@@ -9,23 +9,14 @@ depend() {
start() {
ebegin "Starting bareos director"
- # g+w until #631598 is resolved
- checkpath -d -m 0770 -o root:bareos /run/bareos
+ checkpath -d -m 0750 -o root:bareos /run/bareos
start-stop-daemon --start --quiet --exec /usr/sbin/bareos-dir \
- -- ${DIR_OPTIONS}
- # harden pid file until #631598 is resolved
- ewaitfile 10 /run/bareos/bareos-dir.9101.pid
- chown root:bareos /run/bareos/bareos-dir.9101.pid
+ -- -p /run/bareos/bareos-dir.9101.pid ${DIR_OPTIONS}
eend $?
}
stop() {
ebegin "Stopping bareos director"
- # check pid file until #631598 is resolved
- if [[ $(stat -c %U /run/bareos/bareos-dir.9101.pid) != "root" ]]; then
- eerror "SECURITY ALERT: pid file is not root owned anymore?! (see #631598)"
- else
- start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-dir.9101.pid
- fi
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-dir.9101.pid
eend $?
}
diff --git a/app-backup/bareos/files/bareos-fd-21.confd b/app-backup/bareos/files/bareos-fd-21.confd
new file mode 100644
index 000000000000..407f2a8828eb
--- /dev/null
+++ b/app-backup/bareos/files/bareos-fd-21.confd
@@ -0,0 +1,7 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Config file for /etc/init.d/bareos-fd
+
+# Options for the file daemon.
+FD_OPTIONS="-u root -g bareos"
diff --git a/app-backup/bareos/files/bareos-fd-21.initd b/app-backup/bareos/files/bareos-fd-21.initd
new file mode 100644
index 000000000000..f0632261a0c5
--- /dev/null
+++ b/app-backup/bareos/files/bareos-fd-21.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use dns
+}
+
+start() {
+ ebegin "Starting bareos file daemon"
+ checkpath -d -m 0750 -o root:bareos /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-fd \
+ -- -p /run/bareos/bareos-fd.9102.pid ${FD_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos file daemon"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-fd.9102.pid
+ eend $?
+}
diff --git a/app-backup/bareos/files/bareos-sd-21.confd b/app-backup/bareos/files/bareos-sd-21.confd
new file mode 100644
index 000000000000..2a67ae2b5523
--- /dev/null
+++ b/app-backup/bareos/files/bareos-sd-21.confd
@@ -0,0 +1,10 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Config file for /etc/init.d/bareos-sd
+
+# Options for the storage daemon.
+# The storage daemon can be run as a non-root user, however
+# please ensure that this user has proper permissions to
+# access your backup devices.
+SD_OPTIONS="-u bareos -g bareos"
diff --git a/app-backup/bareos/files/bareos-sd-21.initd b/app-backup/bareos/files/bareos-sd-21.initd
new file mode 100644
index 000000000000..07091dbd74c5
--- /dev/null
+++ b/app-backup/bareos/files/bareos-sd-21.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use dns
+}
+
+start() {
+ ebegin "Starting bareos storage daemon"
+ checkpath -d -m 0750 -o root:bareos /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-sd \
+ -- -p /run/bareos/bareos-sd.9103.pid ${SD_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos storage daemon"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-sd.9103.pid
+ eend $?
+}